%global plugin_name    vnsiserver
%global vnsi_protocol  5
%global git_hash       031f69bd88
%global package_name   vdr-%{plugin_name}%{vnsi_protocol}

Name:           %{package_name}
Version:        1.0.0
Release:        1%{?dist}
Summary:        VDR plugin to handle XBMC clients via VNSI, protocol version 5

Group:          Applications/Multimedia
License:        GPLv2+
URL:            https://github.com/FernetMenta/vdr-plugin-vnsiserver

# Download with:
#   git clone https://github.com/FernetMenta/vdr-plugin-vnsiserver vdr-vnsiserver${vnsi_protocol}
#   cd vdr-vnsiserver${vnsi_protocol}
#   git checkout ${git_hash}
#   cd ..
#   tar cfJ vdr-vnsiserver${vnsi_protocol}.tar.xz vdr-vnsiserver${vnsi_protocol}
Source:         %{package_name}.tar.xz

Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

BuildRequires:  vdr-devel >= 1.5.9

%description
VDR plugin to handle XBMC clients. It is needed to use XBMC as a frontend and
VDR as a backend. With the plugin it is possible to get TV and PVR
functionality from a VDR into a XBMC. It is able to handle several XBMC
clients connecting via the VNSI add-on.

This plugin offers VNSI in protocol version 5 which is typically used
by XBMC 13. In XBMC you need the PVR add-on "xbmc-pvr-vdr-vnsi" to
connect XBMC with a VDR running this plugin.

See http://wiki.xbmc.org/index.php?title=VDR for more information.

%prep
%setup -q -n %{package_name}

%build
make %{?_smp_mflags} CFLAGS="-fPIC %optflags" CXXFLAGS="-fPIC %{optflags}" LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$PWD/locale all

%install
install -dm 755 %{buildroot}%{vdr_plugindir}
install -dm 755 %{buildroot}%{vdr_configdir}/plugins/%{plugin_name}
install -pm 755 libvdr-%{plugin_name}.so %{buildroot}%{vdr_plugindir}/libvdr-%{plugin_name}.so.%{vdr_apiversion}
install -Dpm 644 %{plugin_name}/* %{buildroot}%{vdr_configdir}/plugins/%{plugin_name}/

%files
%doc COPYING 
%doc HISTORY
%doc README

%dir %{vdr_configdir}/plugins/%{plugin_name}
%config(noreplace) %{vdr_configdir}/plugins/%{plugin_name}/*
%{vdr_plugindir}/libvdr-%{plugin_name}.so.%{vdr_apiversion}

%changelog
* Wed May 14 2014 Dr. Tilmann Bubeck <tilmann@bubecks.de> - 1.0.0-1
- Update to upstreams version 1.0.0, which uses VNSI protocol in
  version 5 which is compatible with XBMC 13.
- initial built for Fedora

